## NAME

r.to.rast3 - Converts 2D raster map slices to one 3D raster volume map.

## KEYWORDS

raster, conversion, voxel

## SYNOPSIS

r.to.rast3
r.to.rast3 --help
r.to.rast3 [-m] input=name[,name,...] output=name [tilesize=integer] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-m
  Use 3D raster mask (if exists) with output map
--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name[,name,...] [required]
  2D raster maps which represent the slices
output=name [required]
  Name for output 3D raster map
tilesize=integer
  The maximum tile size in kilo bytes. Default is 32KB.
  Default: 32

## DESCRIPTION

Converts 2D raster map(s) into one RASTER3D raster map. If the 2d and 3d region settings are different, the 2d resolution will be adjust to the 3d resolution.

How r.to.rast3 works

## NOTES

Every 2D raster map is copied as one slice to the RASTER3D raster map. Slices are counted from bottom to the top, so the bottom slice has to be number 1.
If fewer 2D raster maps are provided than depths, the last give 2D map is used to fill up the RASTER3D slices to the top.

## EXAMPLES

### EXAMPLE 1

This example shows how to convert 6 maps into one 3d map with 6 layers.

    # Mapset data in Location slovakia3d
    r.to.rast3 input=prec_1,prec_2,prec_3,prec_4,prec_5,prec_6 output=new_3dmap

### EXAMPLE 2

This example shows how to convert 3 maps into one 3d map with 6 layers.

    # Mapset data in Location slovakia3d
    r.to.rast3 input=prec_1,prec_2,prec_3 output=new_3dmap

## SEE ALSO

g.region, r3.to.rast, r.to.rast3elev

## AUTHOR

Soeren Gebbert

Last changed: $Date: 2013-03-26 21:28:19 +0100 (út, 26 III 2013) $

Main index | Raster index | Topics index | Keywords index | Full index

© 2003-2015 GRASS Development Team, GRASS GIS 7.0.0 Reference Manual